<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Model;

use App\Traits\ScopeActive;

class Zone extends Model
{
	use ScopeActive;

	/* RELATIONS */

	public function domain()
	{
		return $this->belongsTo(Domain::class);
	}

	/* SCOPES */

	/**
	 * Only query active records
	 */
	public function scopePublic()
	{
		return $this->where('public',TRUE);
	}
}