<?php

/**
 * Add a ScopeActive to an Eloquent Model
 */
namespace App\Traits;

trait ScopeActive
{
	/**
	 * Only query active records
	 */
	public function scopeActive()
	{
		return $this->where($this->getTable().'.active',TRUE);
	}
}
