<div id="nav-menu">
	<h1>{{ $title ?? config('app.name') }}</h1>

	<ul id="navlist-desktop">
		<li><a href="{{ url('/') }}" class="@if(preg_match('#^/#',request()->path()))thispage @endif"><span>Home</span></a></li>
		<li><a href="{{ url('about') }}" class="@if(preg_match('#^about#',request()->path()))thispage @endif"><span>About</span></a></li>
		<li><a href="{{ url('help') }}" class="@if(preg_match('#^help#',request()->path()))thispage @endif"><span>Help</span></a></li>
		@can('admin')
			<li><a href="{{ url('setup') }}" class="@if(preg_match('#^setup#',request()->path()))thispage @endif"><span>Setup</span></a></li>
		@endcan
		@if(preg_match('#^/network/#',request()->path()))
			<li><a href="{{ url('join') }}" class="@if(preg_match('#^join#',request()->path()))thispage @endif"><span>Join</span></a></li>
		@endif
	</ul>

	<ul style="float: right;">
		@auth
			<li><a href="{{ url('logout') }}"><span>Logout</span></a></li>
		@endauth
		@guest
			<li><a href="{{ url('login') }}"><span>Login</span></a></li>
		@endguest
	</ul>

	{{--
	<div id="fontwidget">
		<span id="row1">
			Text mode font:
		</span>
		<span id="row2">
			<a id="togglefonts" class="on" href="#-" onclick="toggleFonts();">[✓]</a>
			<a id="selectfont1" class="on" href="#-" onclick="switchFont(1);">1</a>
			<a id="selectfont2" href="#-" onclick="switchFont(2);" class="on">2</a>
			<a id="selectfont3" href="#-" onclick="switchFont(3);" class="on">3</a>
			<a id="selectfont4" href="#-" onclick="switchFont(4);" class="on">4</a>
			<a id="selectfont5" href="#-" onclick="switchFont(5);" class="on">5</a>
			<a id="selectfont6" href="#-" onclick="switchFont(6);" class="on">6</a>
		</span>
		<span id="currentfont">
			IBM VGA 8x16
		</span>
	</div>
	--}}

	{{--
	@todo Get rid of the CSS values if they arenot used, then delete this
	<noscript>
		<div id="fontwidget-no-js">
			<div class="grn">Enable JavaScript for full functionality of all site features.</div>
		</div>
	</noscript>
	--}}

	{{--
	@todo Is this required?
	<div id="mobile-nav-content">
		<ul>
			<li>Oldschool PC Fonts:</li>
			<li class="nobullet"><a href="../"><span>Home</span></a></li>
			<li><a class="thispage"><span>Fonts</span></a></li>
			<li><a href="../readme/"><span>Readme</span></a></li>
			<li><a href="../showcase/"><span>Showcase</span></a></li>
			<li><a href="../download/"><span>Download</span></a></li>
		</ul>
		<div class="mobile-button" id="mobile-button-burger" onclick="toggleSidebar();"> ≡ </div>
		<div class="mobile-button" id="mobile-button-fontwidget" onclick="toggleFontWidget();">Aa</div>
	</div>
	--}}

	<div id="sidebar">
		<div id="sidebar-scroller">
			@auth
				Jump to section:
				<dl>
					<dt><a href="#"                      >FTN Networks</a></dt>
					<dd><a href="{{ url('ftn/domain') }}">Domains</a></dd>
					<dd><a href="{{ url('ftn/zones') }}" >Zones</a></dd>
					<dd><a href="{{ url('ftn/nodes') }}" >Nodes</a></dd>
				</dl>

				<dl>
					<dt><a href="#"                     >Users</a></dt>
					<dd><a href="{{ url('user/add') }}" >Create</a></dd>
					<dd><a href="{{ url('user/list') }}">List</a></dd>
				</dl>
			@endauth
			@guest
				Explore:
				<dl>
					<dt><a href="#"                      >FTN Networks</a></dt>
					@foreach (\App\Models\Zone::active()->public()->get() as $o)
						<dd><a href="{{ url('network',['id'=>$o->name]) }}" title="{{ $o->description }}">{{ $o->name }}</a></dd>
					@endforeach
				</dl>
			@endguest
		</div>
	</div>
</div>
